Search found 1 match

by erkin7734
Sat May 20, 2017 3:27 pm
Forum: Printers & Scanners
Topic: I can't install Canon LBP 2900
Replies: 1
Views: 2837

I can't install Canon LBP 2900

I'm having trouble installing the Canon LBP 2900 driver in Linux Mint 17 Qianna Cinnamon x32. Added a printer in the "Printers". When I print the page will show an alert that the print is successfully completed but the practical is not right.

Go to advanced search